Package org.eclipse.m2m.atl.engine.emfvm.adapter

# Class UML2ModelAdapter

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.adapter.EMFModelAdapter
org.eclipse.m2m.atl.engine.emfvm.adapter.UML2ModelAdapter

All Implemented Interfaces:
  `IModelAdapter`

public class UML2ModelAdapter extends EMFModelAdapter implements IModelAdapter
The `EMFModelAdapter` adaptation for UML2.

## Constructor Summary

Constructors
Constructor
Description
`UML2ModelAdapter()`
Creates a new UMLModelAdapter.

## Method Summary

Modifier and Type
Method
Description
`void`
`finalizeModel(IModel model)`
Finalizes the given model.
`Object`
`invoke(Method method, Object self, Object[] arguments)`
Invokes a method.

### Methods inherited from class org.eclipse.m2m.atl.engine.emfvm.adapter.EMFModelAdapter

`delete, get, getEENumLiteral, getID, getNameOf, getSupertypes, getType, isDeleted, isMetametaElement, isModelElement, prettyPrint, registerVMSupertypes, registerVMTypeOperations, set, setAllowInterModelReferences, setID, unSet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.m2m.atl.engine.emfvm.adapter.IModelAdapter

`delete, get, getID, getSupertypes, getType, isDeleted, isMetametaElement, isModelElement, prettyPrint, registerVMSupertypes, registerVMTypeOperations, set, setAllowInterModelReferences, setID, unSet`

## Constructor Details

### UML2ModelAdapter

public UML2ModelAdapter()
Creates a new UMLModelAdapter.

## Method Details

### finalizeModel

public void finalizeModel(IModel model)
Finalizes the given model.

Specified by:
  `finalizeModel` in interface `IModelAdapter`
Overrides:
  `finalizeModel` in class `EMFModelAdapter`
Parameters:
  `model` - the given model
See Also:
  - `EMFModelAdapter.finalizeModel(org.eclipse.m2m.atl.core.IModel)`

### invoke

public Object invoke(Method method, Object self, Object[] arguments)
Invokes a method.

Specified by:
  `invoke` in interface `IModelAdapter`
Overrides:
  `invoke` in class `EMFModelAdapter`
Parameters:
  `method` - the method to invoke
  `self` - the object context
  `arguments` - the call arguments
Returns:
  the method result
See Also:
  - `EMFModelAdapter.invoke(java.lang.reflect.Method, java.lang.Object, java.lang.Object[])`